/*
 * Least Cost Routing plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef __LCR_H
#define __LCR_H

#include <vdr/plugin.h>

static const char *VERSION        = "0.0.1";
static const char *DESCRIPTION    = "Displays telephone rates on OSD";
static const char *MAINMENUENTRY  = "Least Cost Routing";
static const char *SOURCE         = "www.teltarif.de";

class cPluginLcr : public cPlugin {
private:
  // Add any member variables or functions you may need here.
public:
  cPluginLcr(void);
  virtual ~cPluginLcr();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return tr(DESCRIPTION); }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Initialize(void);
  virtual bool Start(void);
  virtual void Stop(void);
  virtual void Housekeeping(void);
  virtual const char *MainMenuEntry(void) { return (lcrConfig.hidemenu ? NULL : tr(MAINMENUENTRY)); }
  virtual cOsdObject *MainMenuAction(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
  };

class cMenuLcrSetup : public cMenuSetupPage {
  private:
    const char *dispmodes[eLcrModeMaxNumber];
    const char *themes[eLcrThemeMaxNumber];
    virtual void Setup(void);
  protected:
    virtual eOSState ProcessKey(eKeys Key);
    virtual void Store(void);
  public:
    cMenuLcrSetup(void);
  };

#endif //__LCR_H

